/*jshint browser:true */
/*global $ */(function()
{
 "use strict";
 /*
   hook up event handlers 
 */
 function register_event_handlers()
 {
    
    var onSuccess = function(position) {
        $('#showData').html('Latitude: ' + position.coords.latitude + '<br/>' +
          'Longitude: '         + position.coords.longitude         + '<br/>' +
          'Altitude: '          + position.coords.altitude          + '<br/>' +
          'Accuracy: '          + position.coords.accuracy          + '<br/>' +
          'Altitude Accuracy: ' + position.coords.altitudeAccuracy  + '<br/>' +
          'Heading: '           + position.coords.heading           + '<br/>' +
          'Speed: '             + position.coords.speed             + '<br/>' +
          'Timestamp: '         + position.timestamp                + '<br/>');
    };

    // onError Callback receives a PositionError object 
    //
    function onError(error) {
        alert('code: '    + error.code    + '\n' +
              'message: ' + error.message + '\n');
    }
     /* button  Where am I? */
    $(document).on("click", ".uib_w_3", function(evt)
    {
        /* your code goes here */ 
        navigator.geolocation.getCurrentPosition(onSuccess, onError);
    });
    
    }
 document.addEventListener("app.Ready", register_event_handlers, false);
})();
